<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Письмо Деду Морозу</div>";


function form()
{
	$file = file_get_contents("temp/dedmoroz.tmp");
	$out = intval($file);
	echo '<form method="post" action="dedmoroz.php"><div class="gmenu">';
	echo '1. Как тебя зовут?<br/>
<input type="text" name="1" value=""/><br/>
2. Сколько тебе лет?<br/>
<input type="text" name="2" value=""/><br/>
3. Во сколько ты ложишься спать?<br/>
<input type="text" name="3" value=""/><br/>
4. Что чаще всего ломается?<br/>
<input type="text" name="4" value=""/><br/>
5. Мухи любят садится на:<br/>
<input type="text" name="5" value=""/><br/>
6. Любая фраза:<br/>
<input type="text" name="6" value=""/><br/>
7. Как бы ты назвал человека который предал тебя?<br/>
<input type="text" name="7" value=""/><br/>
8. Какое ты знаешь ругательство? Ругниська!<br/>
<input type="text" name="8" value=""/><br/>
9. Люблю смотреть на: (часть тела)<br/>
<input type="text" name="9" value=""/><br/>
10. Он красный! Это:<br/>
<input type="text" name="10" value=""/><br/>
11. Профессия<br/>
<input type="text" name="11" value=""/><br/>
12. Любимая детская игра:<br/>
<input type="text" name="12" value=""/><br/>
13. Что будет с собакой, если её скинуть с 9-го этажа?<br/>
<input type="text" name="13" value=""/><br/>
14. Как ты себя чувствуешь после пьянки?<br/>
<input type="text" name="14" value=""/><br/>
15. Хочу новую:<br/>
<input type="text" name="15" value=""/><br/>
16. Бытовой предмет:<br/>
<input type="text" name="16" value=""/><br/>
17. Чего тебе хочется сейчас?<br/>
<input type="text" name="17" value=""/><br/>
18. Меня не найдут в:<br/>
<input type="text" name="18" value=""/><br/>
19. Как зовут твою собаку? Если её нет, то как бы ты её назвал?<br/>
<input type="text" name="19" value=""/><br/>
20. Нехороший человек:<br/>
<input type="text" name="20" value=""/></div><div class="bmenu">
<input type="submit" name="submit" value="Написать :)"/></div>
</form><div class="gmenu">Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 22; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/dedmoroz.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">Здравствуй, Дедушка Мороз!<br /> Меня зовут '.$text[1].' и мне '.$text[2].' лет!<br /> Не много не мало, но я верю и надеюсь в то, что ты есть, и сейчас читаешь моё письмо.<br /> Моя мама очень злая тётя.<br /> Она не разрешает мне писать письма тебе, и поэтому я сижу в '.$text[18].' и пишу это письмо.<br /> Мама выпускает меня гулять лишь до '.$text[3].'.<br /> Когда я её не слушаюсь, она бросает в меня '.$text[16].' и частенько попадает мне прямо в '.$text[9].' =( Однажы я не вытерпел и сказал ей: '.$text[6].'!<br /> Мой папа '.$text[11].' и приходя с работы с плохим настроением, он кричит: '.$text[8].'.<br /> И заставляет меня чинить его '.$text[4].'.<br /> Но я не умею ни чего ремонтировать, и поэтому у меня получается '.$text[5].'.<br /> Он злится еще сильнее, и запрещает мне играть в '.$text[12].' с друзьями.<br /> Еще папа придумал мне кличку, и зовет меня не '.$text[1].', а '.$text[19].'!<br /> Это очень обидно.<br /> В общем, дедушка мороз, если ты не '.$text[20].', то ты поймешь как мне '.$text[14].'.<br /> Дорогой, Дедушка Мороз-красный '.$text[10].' забери меня к себе или вышли мне '.$text[16].'.<br /> Еще сделай так, чтобы близкие мне люди любили меня и почаще давали мне денег на '.$text[15].'.<br /> Любимый Дед Мороз, ты мой последний шанс.<br /> Я надеюсь на новый год я найду под елочкой '.$text[16].'.<br /> Дед Мороз, пойми как мне '.$text[14].'.<br /> Если ты не прочтешь это письмо или оно не дойдет до тебя, то мне '.$text[13].'.<br /> Помни что я верю в тебя!!! <br/><br/> С уважением, '.$text[1].'.</div>';
	//Запись
	$fp_send = fopen("temp/dedmoroz.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/dedmoroz.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ("../../incfiles/end.php");

?>